airlink awlh4030 setting essid problem

Help
2005-09-06
2012-10-06
  • Rishabh Manocha

    Rishabh Manocha - 2005-09-06

    Hi guys,
    I have been trying to get my new Airlink AWLH4030 card for my desktop. I followed all the instructions given in the wiki to install ndiswrapper for debian and then to install wireless-tools and all the other parephanelia.
    Everything went fine. I even downloaded the file listed in the "List" page of the wiki for my card and unzipped it. This is when my problems started. There were tons of .inf files in there and I had no idea which one to use. I assumed i had to use the net5211.inf file (since the atheros chip in the card has the same numeric suffix - 5211). "ndiswrapper -i net5211.inf" went fine too and i got the following on "ndiswrapper -l" : "net5211 driver present, hardware present" so i assumed things went well. I then modprobed ndiswrapper which worked too without throwing any errors. iwconfig shows the card :
    wlan0 IEEE 802.11g ESSID:""
    Mode:Managed Frequency:2.412 GHz Access Point: 00:00:00:00:00:00
    Bit Rate:54 Mb/s
    Encryption key:off
    Link Quality:21/100 Signal level:-95 dBm Noise level:-256 dBm
    Rx invalid nwid:0 Rx invalid crypt:0 Rx invalid frag:0
    Tx excessive retries:0 Invalid misc:0 Missed beacon:0

    However when I try "iwlist wlan0 scan" i get the following message :
    Warning: Driver for device wlan0 recommend version 18 of Wireless Extension,
    but has been compiled with version 16, therefore some driver features
    may not be available...

    wlan0 No scan results

    the same happens even if i do "iwconfig wlan0 essid desipimp".
    I tried to remove the 64 bit wep encryption my router had and i still got the same message.
    I don't know what I am doing wrong here - I have tried to follow all the instructions to the word. I was thinking that maybe the .inf file I was using was wrong. If that is the case, could someone tell me which file to use for this card.
    I would really like to not have to return my card - so any help would be appreciated.
    Thanks
    P.S. - my router only supports 802.11b but the card is supposed to support both 802.11b and 802.11g - if that effects things.

     
    • Steve Pettee

      Steve Pettee - 2005-10-08

      add to above:

      I compiled ndiswrapper 1.1 and installed and still get same errors.

      Steve

       
    • Giridhar Pemmasani

      What version of ndiswrapper (basic, Mr. Watson)? If not using latest, try 1.2 or 1.3rc1.

       
    • Steve Pettee

      Steve Pettee - 2005-10-08

      I have a D-Link Air Plus dwl-g630 card and the "list" led me to the same drivers that you used which I downloaded and installed just like you. All went well until I tried to "iwconfig" as you did and got message

      "Warning: Driver for device wlan0 recommend version 18 of Wireless Extension,
      but has been compiled with version 17, therefore some driver features may not be available... "

      iwlist wlan0 scan yielded..

      same warning and "wlan0 No scan results"

      AP is D-link DI-624 and card works fine with this on Win xp Pro

      ndiswrapper is version 1.2 compiled from source. the "list" noted ndiswrapper version 1.1 so I will try that. I plan to stick with this till it works.

      Steve

       

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks